Get a Role – Management API – MediaKind
Get a Role
get https://app.mk.io/api/v1/organization/roles/:role_name
Returns details of a single Role.
RBAC Capability Required: core.role.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
role_namestringRequired
Response
200 The role
- kind string Optional
The kind of record. - metadata object RoleMetadataSchema Required
Role metadata.- categories list of strings Required
Some capabilities apply to resources at the organization level, some apply only at the project level.
This list suggests which categories of scope this role should be combined with. - id string Required format: uuid
The ID of the resource - name string Optional
The name of the resource
- categories list of strings Required
- spec object RoleSpecSchema Required
Role specification.- capabilities list of objects RoleCapabilitySchema Optional
List of capabilities.- capability string Required
The name of the capability. - description string Required
0-256 characters A description of the role.
- capability string Required
- capabilities list of objects RoleCapabilitySchema Optional
Errors
400 Bad Request
- error object ErrorDetail Required
Pertinent information about the error- code string Required
The error code. - detail string Required
The error message. - extraDetail map from strings to any Optional
Extra information regarding this error.- ref string Required
A reference to the request that caused the error. - status integer Required
The HTTP status code
- ref string Required
- code string Required